<html>

<body style="background-color: #ffffff;background-image:url(rail.jpg);background-repeat: repeat-y">
<center><h2>View Credit Transaction</h2>
</center>
<?php
$login=mysql_connect('localhost', 'wauhaha_karaoke', 'cross123','wauhaha_karaoke');
	
mysql_selectDB("wauhaha_karaoke",$login);
$StaffID = $_GET['StaffID'];
$result2 = mysql_query("select * from staff where StaffID='$StaffID'");
$row2=mysql_fetch_array($result2);
$user= $row2['Username'];
?>
<?php

echo "<table border='0' align=center>
<tr>
	<td><a href='http://www.wauhaha.com/karaoke/staffviewmem.php?StaffID=$StaffID'><img src=member_button.jpg width=110 height=110 border=0/><br/><h4 align='center'>Member</h4></a></td>
	<td><a href='http://www.wauhaha.com/karaoke/staffviewsalary.php?StaffID=$StaffID'><img src=money_button.jpg width=110 height=110 border=0/><br/><h4 align='center'>Salary</h4></a></td>
	<td><a href='http://www.wauhaha.com/karaoke/staffviewduty.php?StaffID=$StaffID'><img src=duty_button.jpg width=110 height=110 border=0/><br/><h4 align='center '>Duty Time</h4></a></td>
	<td><a href='room1.php?StaffID=$StaffID' target=_window><img src=room_button.jpg width=110 height=110 border=0/><br/><h4 align='center'>Room</h4></a></td>
	<td><a href='credit1.php?StaffID=$StaffID'.php><img src=Money.jpg width=110 height=110 border=0/><br/><h4 align='center'>Credit</h4></a></td>
	<td><a href='vleave.php?Username=$user' target=_window><img src=leave_button.jpg width=110 height=110 border=0/><br/><h4 align='center '>Leave</h4></a></td>
</tr>
</table>";
echo "<center><a href=staffaccount.php?StaffID=$StaffID><img src=back.jpg width=40 height=40 ></a> &nbsp; </center>"  ; 
 ?>
<center>

<?php
$login=mysql_connect('localhost', 'wauhaha_karaoke', 'cross123','wauhaha_karaoke');
	
	mysql_selectDB("wauhaha_karaoke",$login);
	if (isset($_GET["page"])) { $page  = $_GET["page"]; } else { $page=1; }; 
	$start_from = ($page-1) * 5;
$result = mysql_query("select * from credittran ORDER BY AddCreditD DESC LIMIT $start_from,5");
			
 

			echo "<table border=1 align=center style ='font-family:Arial, Helvetica, sans-serif;font-size:1em' color='blue' bordercolorlight='tan' cellspacing=0 cellpadding=4>
 <tr bgcolor=lightblue >
                        <th>Memeber ID</th>
 						<th>Username</th>
						<th>Name</th>
						<th>Add Credit</th>
						<th>Add Credit Date</th>
						<th>Minus Credit </th>
						<th>Minus Credit Date</th>
						<th>Edited Date</th>
						<th>Credit Bal</th>
					
						</tr>";


while($row2 = mysql_fetch_array($result)){
  $CreID=$row2['CreID'];
  
  echo "<tr align='center'>";
  

  echo "<td border=1>".$row2['MemID']."</td>";
  echo "<td border=1>".$row2['Username']."</td>";
  echo "<td border=1>".$row2['Name']."</td>";
  echo "<td border=1>".$row2['AddCredit']."</td>";
  echo "<td border=1>".$row2['AddCreditD']."</td>";
  echo "<td border=1>".$row2['MinusCredit']."</td>";
  echo "<td border=1>".$row2['MinusCreditD']."</td>";
  echo "<td border=1>".$row2['EditedD']."</td>";
  echo "<td border=1>".$row2['BalCredit']."</td>";
  
 
  
  echo "</tr>";
 
  }

	$sql = mysql_query("select COUNT(*) From credittran");  

$row=mysql_fetch_array($sql);
$total_records = $row[0];
$total_pages = ceil($total_records / 5);

for ($i=1; $i<=$total_pages; $i++) { 
	echo "<a href='credit1.php?page=".$i."&StaffID=$StaffID'>&nbsp;" .$i. "&nbsp;</a> "; 
}; 
		

  echo "</table>";


?>